package com.huashe.park.application.engine;

import com.alibaba.fastjson2.JSONObject;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.LinkedBlockingQueue;

public interface IFusionEngine {
    default Boolean check(LocationInfo older, LocationInfo newer) {
        return false;
    }

    default String getKey(LocationInfo msg) {
        return "not implement";
    }

    default void getBizId(LocationInfo msg) {
    }

    default void processOlderData(LocationInfo msg) {
    }

    default void newEvtCallback(LocationInfo msg) {
    }

    default List<LinkedBlockingQueue<JSONObject>> getQueue() {
       return new ArrayList<>();
    }
}
